#!/usr/bin/env bash

##### CHECK ROOT #####
if [[ $(id -u) -ne 0 ]] ; then
    echo "Перезапустите скрипт $0 от root пользователя!"
    exit 1
fi

##### MESSAGES FUNCTIONS #####
print_error () { printf "\E[31m%s ВНИМАНИЕ: $@ %s\e[0m\n" ;}
fatal () { print_error "$@" ; exit 1 ;}

##### UPDATE SYSTEM #####
apt-get update || fatal "Не удалось обновить список доступных пакетов,"

##### CHECK AREPO (x86_64-i586) #####
apt-repo | grep -q "x86_64-i586" || fatal "Репозиторий x86_64-i586 не подключен. \
32-битные зависимости не будут установлены, а значит не будут работать и 32-битные \
windows приложения. Подробнее по ссылке: https://www.altlinux.org/Biarch"

##### INSTALL DEPENDENCIES #####
apt-get install {i586-,}{glibc-core,libstdc++6,glibc-pthread,glibc-nss,\
libOSMesa,libnss-mdns,libunixODBC2,ocl-icd,libfreetype,libfontconfig1,\
libgnutls30,libGL,libEGL,xorg-dri-swrast,xorg-dri-intel,xorg-dri-radeon,\
libvulkan1,libcups} winetricks ca-certificates cups-pdf  || fatal "Не удалось установить зависимости."

apt-get install {i586-,}wine

# yad zenity
